!!MP Inlines.f

C	An example of a FORTRAN Resource for Microsoft Excel 3.0
C	This example call illustrates the use of the Pascal string
C	data type. Testing for this example was done with
C	Language Systems FORTRAN version 3.0
C	
C	Below are the commands that were executed to create the 
C	code resource

!!IFC FALSE
 FORTRAN DATAD.f -opt=1 -noimplicit
Link -w -f -srt -ad 4 -t '????' -c '????' ¶
-m DATAD -sn Main=DATAD ¶
-sn f_RunTime=DATAD ¶
-sn f_Intrinsics=DATAD ¶
	DATAD.f.o ¶
	"{FLibraries}"OutpwStubs.o ¶
	"{Libraries}"Runtime.o ¶
	"{Libraries}"Interface.o ¶
	"{FLibraries}"FORTRANlib.o ¶
	"{FLibraries}"IntrinsicLib.o ¶
	"{FLibraries}"FSANELib.o ¶
	-o DATAD.rsc
!!ENDC

C	Source code

	integer*2 function DATAD(arec)
	
	integer i,ascii,zero
	structure /astruct/
		integer*1 i1
		character*255 a
	end structure
	record /astruct/ arec
	
	DATAD = arec.i1
	
	return
	end
	
		
	